#include "../include/Cache_OneLevel.h"

namespace environnement {
namespace cache {
namespace cache_onelevel {

  void Cache_OneLevel::reset (void)
  {
    for (uint32_t x = 0; x < param->nb_port; x ++)
      access_port[x].valid = false;
    
    for (uint32_t x = 0; x < param->nb_line/param->associativity; x ++)
      for (uint32_t y = 0; y < param->associativity; y ++)
	{
	  tag[x][y].valid      = false;
	  tag[x][y].index_lru  = y;

	  // Optionnal init
	  tag[x][y].trdid      = 0;
	  tag[x][y].address    = 0;
	}
    write_buffer->reset();
  }
};
};
};
